---
category: [Administration & Integrations, Administration & Integrations/Workday API, Platform and Product Extensions, Platform and Product Extensions/Integration, Administration & Integrations/Custom Integrations & Apps, Platform and Product Extensions/Workday Extend, Talent & Engagement, Talent & Engagement/Training, Talent Management, Talent Management/Learning, Talent & Engagement/Training/Digital Courses, Talent & Engagement/Training/Required Courses & Lessons, Talent & Engagement/Training/Blended Courses, Talent & Engagement/Training/Lessons, Human Capital Management, Talent & Engagement/Training/LMS Course Catalog]
nav: wcp_docs
parent_url: /wcp_docs/
title: Content REST API
layout: subsection
---

## Overview

The Content API in the Learning REST service provides the ability to export and sync learning content, including digital courses, blended courses, programs, stand-alone lessons, course offerings, and external content, from Workday to partner platforms.

Key features:

-   Content Export : Exporting the entire content catalog or specific content using various filters. The exportable content catalog includes these:

    -   Blended Courses
    -   Course Offerings
    -   Digital Courses
    -   External Content
    -   Programs

-   Deep Links: Adding deep links to course descriptions for content consumption.
-   Thumbnail Export: Exporting thumbnail images as part of catalog metadata.
-   Content Synchronization: Ensuring the content catalog on partner platforms remains synchronized with Workday Learning.


For reference documentation about the Content REST APIs, see `learning/content` in the [REST API Explorer on the Developer Site](https://developer.workday.com/rest-api-explorer) or [Workday REST Services Directory](https://community.workday.com/sites/default/files/file-hosting/restapi/index.html) .

## <a id="section_urlBasePath"></a>URL Base Path

<b>Workday API Gateway Base Path</b>

For REST API calls in Workday Extend and Orchestrate for Integrations, use the regional API Gateway base URL for your account. See [Reference: Workday Extend API Gateways and Authorization Base URLs](https://developer.workday.com/documentation/dlh1653340161856) on the Developer Site. Note that the API Gateway base URL doesn’t include the tenant name.

<b>Tenant Base Path</b>

For traditional Integrations using tenanted REST APIs calls:

```
https://<hostname>/api/learning /<version>/<tenant>/content
```

Example:

```
https://yourTenantHostName.com/api/learning/v1/gms/content
```

## Security Considerations

The content that you export using the <i>Learning</i> v1 REST service is secured to these domains in the Learning functional area:

-   <i>Learning Access</i>
-   <i>Manage: Learning Content</i>
-   <i>Manage: Learning Course Enrollments</i>
-   <i>Set Up: Learning Catalog</i>
-   <i>Self-Service: Learning Instructor</i>
-   <i>Self-Service: On the Job Training</i>


## Exporting Learning Content

The `GET /content` endpoint facilitates the full export of learning content.

This endpoint returns a collection of all learning content in Workday Learning. Each result includes a content type field, such as "Blended Course" or "Course Offering," which describes the type of content.

You can filter the content by content type, skills, or topics. To filter the content by last updated date, see [Getting the Latest Content](/wcp_docs/GUID-b38acd5b-2859-4cee-9387-a8d98522c59b-enHYPHENus.html#getting_latest_content).

To get the lessons for each course, see [Getting the Lessons](/wcp_docs/GUID-b38acd5b-2859-4cee-9387-a8d98522c59b-enHYPHENus.html#getting_lessons).

Sample request:

```
GET /content
```

## Getting Specific Content

The `GET /content/{ID}` endpoint facilitates the retrieval of a specific instance of learning content.

Sample request:

```
GET /content/488e285c181a01d1bfa763943025a109
```

## Getting the Latest Content

You can use the `lastUpdated` query parameter with the `GET /content` endpoint to get the updated changes since the specified date.

The `lastUpdated` query parameter:

-   Must be in `yyyy-mm-dd-hh:mm` datetime format.
-   Returns instances that are updated on or after the specified date.


Sample request:

```
GET /content?lastUpdated=2025-08-14-07:00
```

## Getting the Lessons

The `GET /content/{ID}/lessons` endpoint provides the ability to export detailed lesson information for each Course within Workday Learning to external partner platforms. The API returns lesson details for these lesson types:

-   External Content
-   In Person Led Training
-   Instructor Led Virtual Classroom
-   Media, Survey, Training


All lessons returned by the API maintain the same order as they appear in Workday.

Sample request:

```
GET /content/488e285c181a01d1bfa763943025a109/lessons
```

## Limitations

-   For the v1 version, contextual security evaluation is unavailable. When content is exported, learners can view it on the partner platform. However, if a learner attempts to access content from the partner platform without the necessary viewing permissions, they will be unable to access the content within Workday.
-   Lessons are not returned for Programs or Standalone lessons. Programs are a collection of content, not lessons, therefore Lessons are not returned for a program.


## Performance Considerations

For the GET endpoints that return a collection, the default is 20, and the maximum is 100 for result collection per page. <b>LIMIT</b> can be used to set the value required.

### Related Information

[Learning REST Web Service](https://doc.workday.com/release-notes/en-us/lrn/9234679.html)

